## gromit-mpx 1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(Gromit_MPX LANGUAGES C)

set(target_name gromit-mpx)
set(version 1.2)

set(CMAKE_C_FLAGS  " ${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")

configure_file(build-config.h_cmake_in build-config.h)

find_package(PkgConfig)

pkg_check_modules(gtk3 REQUIRED "gtk+-3.0 >= 2.99.3")
pkg_check_modules(appindicator3 REQUIRED "appindicator3-0.1 >= 0.4.92")
pkg_check_modules(xinput REQUIRED "xi >= 1.3")
pkg_check_modules(x11 REQUIRED x11)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${gtk3_INCLUDE_DIRS}
    ${appindicator3_INCLUDE_DIRS}
    ${xinput_INCLUDE_DIRS}
    ${x11_INCLUDE_DIRS}
)

link_directories(
    ${gtk3_LIBRARY_DIRS}
    ${appindicator3_LIBRARY_DIRS}
    ${xinput_LIBRARY_DIRS}
    ${x11_LIBRARY_DIRS}
)

set(sources
    src/callbacks.c
    src/callbacks.h
    src/config.c
    src/config.h
    src/gromit-mpx.c
    src/gromit-mpx.h
    src/input.c
    src/input.h
)

add_executable(${target_name} ${sources})

target_link_libraries(${target_name}
    ${gtk3_LIBRARIES}
    ${appindicator3_LIBRARIES}
    ${xinput_LIBRARIES}
    ${x11_LIBRARIES}
    -lm
)

install(TARGETS ${target_name} RUNTIME DESTINATION bin)
install(FILES data/gromit-mpx.desktop DESTINATION share/applications)
install(FILES data/gromit-mpx.cfg DESTINATION etc/gromit-mpx)
install(FILES README.md AUTHORS ChangeLog NEWS DESTINATION share/doc/gromit-mpx)
install(FILES gromit-mpx.1 DESTINATION share/man/man1)
install(FILES data/gromit-mpx.png data/gromit-mpx.xpm DESTINATION share/pixmaps)
install(FILES data/gromit-mpx.svg DESTINATION share/icons/hicolor/scalable/apps)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

## gromit-mpx 1.1

=== debian/changelog ===
gromit-mpx (1.1-1) unstable; urgency=low

  * Initial release 

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Aug 2013 00:53:30 +0200

=== debian/control ===
Source: gromit-mpx
Section: x11
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libgtk-3-dev
Standards-Version: 3.9.4
Homepage: https://github.com/bk138/gromit-mpx
Vcs-Git: git://git.debian.org/git/collab-maint/gromit-mpx.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gromit-mpx.git

Package: gromit-mpx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK based tool to make annotations on screen with multiple pointers
 Gromit-MPX enables you to make annotations on your screen using 
 multiple pointing devices at once.
 .
 This is especially useful when making presentations, to highlight
 things or point out things of interest.
 .
 Gromit-MPX is XInput-Aware, so if you have a graphic tablet you can
 draw lines with different strength, color, erase things, etc.

## gromit-mpx 1.1+git.1.fb3c7f8

=== debian/changelog ===
gromit-mpx (1.1+git.1.fb3c7f8-1) unstable; urgency=medium

  * Track upstream development

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Mar 2014 13:51:07 +0000

gromit-mpx (1.1-2) unstable; urgency=low

  * Document changing default hotkey, in Debian, to Pause (closes: #730182)
  * Update debian/control: bump policy version, update repo url

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Nov 2013 12:10:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libgtk-3-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/bk138/gromit-mpx
-Vcs-Git: git://git.debian.org/git/collab-maint/gromit-mpx.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gromit-mpx.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gromit-mpx.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gromit-mpx.git
 
 Package: gromit-mpx
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

export CPPFLAGS=-DDEFAULT_HOTKEY='"Pause"'

override_dh_auto_install:
	dh_auto_install
	echo "Installed later under different name by dh_installchangelogs:"
	rm --verbose debian/gromit-mpx/usr/share/doc/gromit-mpx/ChangeLog

=== debian/watch ===
version=3

http://githubredir.debian.net/github/bk138/gromit-mpx \
 /github/bk138/gromit-mpx/([0-9.]*)\.tar\.gz

## gromit-mpx 1.2

=== debian/changelog ===
gromit-mpx (1.2-2) unstable; urgency=medium

  * Track upstream development
  * Remove debian default hotkey patch (PAUSE) reverting to upstream (F9)
  * Remove now-unnecessary dh build system option

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Dec 2016 14:36:14 +0000

gromit-mpx (1.2-1) unstable; urgency=medium

  * New upstream version
  * Bump policy version
  * dh10
  * cmake
  * build dependency on libappindicator3-dev
  * update debian/watch uscan script

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 19 Nov 2016 14:49:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libgtk-3-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 10),
+	cmake,
+	libgtk-3-dev,
+	libappindicator3-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: git://anonscm.debian.org/collab-maint/gromit-mpx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gromit-mpx.git
@@ -11,7 +14,7 @@
 Package: gromit-mpx
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: GTK based tool to make annotations on screen with multiple pointers
+Description: GTK+ based tool to make annotations on screen with multiple pointers
  Gromit-MPX enables you to make annotations on your screen using 
  multiple pointing devices at once.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	@echo "Installed later under different name by dh_installchangelogs:"
	-rm --verbose debian/gromit-mpx/usr/share/doc/gromit-mpx/ChangeLog

=== debian/watch ===
version=3

https://github.com/bk138/gromit-mpx/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## gromit-mpx 1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.0)
-project(Gromit_MPX LANGUAGES C)
+project(gromit-mpx LANGUAGES C)
 
 set(target_name gromit-mpx)
-set(version 1.2)
+set(version 1.3)
 
 set(CMAKE_C_FLAGS  " ${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")
 
@@ -39,6 +39,8 @@
     src/gromit-mpx.h
     src/input.c
     src/input.h
+    src/paint_cursor.xpm
+    src/erase_cursor.xpm
 )
 
 add_executable(${target_name} ${sources})
@@ -51,13 +53,15 @@
     -lm
 )
 
-install(TARGETS ${target_name} RUNTIME DESTINATION bin)
-install(FILES data/gromit-mpx.desktop DESTINATION share/applications)
-install(FILES data/gromit-mpx.cfg DESTINATION etc/gromit-mpx)
-install(FILES README.md AUTHORS ChangeLog NEWS DESTINATION share/doc/gromit-mpx)
-install(FILES gromit-mpx.1 DESTINATION share/man/man1)
-install(FILES data/gromit-mpx.png data/gromit-mpx.xpm DESTINATION share/pixmaps)
-install(FILES data/gromit-mpx.svg DESTINATION share/icons/hicolor/scalable/apps)
+include(GNUInstallDirs)
+
+install(TARGETS ${target_name} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES data/gromit-mpx.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+install(FILES data/gromit-mpx.cfg DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/gromit-mpx)
+install(FILES README.md AUTHORS ChangeLog NEWS DESTINATION ${CMAKE_INSTALL_DOCDIR})
+install(FILES gromit-mpx.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+install(FILES data/gromit-mpx.png data/gromit-mpx.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
+install(FILES data/gromit-mpx.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"

=== debian/changelog ===
gromit-mpx (1.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Barak A. Pearlmutter ]
  * New upstream release
  * bump to debhelper 11
  * bump policy, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 30 Dec 2018 21:09:40 +0000

=== debian/control ===
Source: gromit-mpx
Section: x11
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 11),
	cmake,
	libgtk-3-dev,
	libappindicator3-dev
Standards-Version: 4.3.0
Homepage: https://github.com/bk138/gromit-mpx
Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git
Vcs-Browser: https://salsa.debian.org/debian/gromit-mpx

Package: gromit-mpx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ based tool to make annotations on screen with multiple pointers
 Gromit-MPX enables you to make annotations on your screen using
 multiple pointing devices at once.
 .
 This is especially useful when making presentations, to highlight
 things or point out things of interest.
 .
 Gromit-MPX is XInput-Aware, so if you have a graphic tablet you can
 draw lines with different strength, color, erase things, etc.

## gromit-mpx 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,17 @@
 project(gromit-mpx LANGUAGES C)
 
 set(target_name gromit-mpx)
-set(version 1.3)
+set(version 1.3.1)
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
+# some LSP servers expect compile_commands.json in the project root
+add_custom_target(
+    copy-compile-commands ALL
+    ${CMAKE_COMMAND} -E copy_if_different
+        ${CMAKE_BINARY_DIR}/compile_commands.json
+        ${CMAKE_CURRENT_SOURCE_DIR}
+    )
+endif(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
 
 set(CMAKE_C_FLAGS  " ${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")
 
@@ -58,7 +68,7 @@
 install(TARGETS ${target_name} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES data/gromit-mpx.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 install(FILES data/gromit-mpx.cfg DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/gromit-mpx)
-install(FILES README.md AUTHORS ChangeLog NEWS DESTINATION ${CMAKE_INSTALL_DOCDIR})
+install(FILES README.md AUTHORS ChangeLog NEWS.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
 install(FILES gromit-mpx.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 install(FILES data/gromit-mpx.png data/gromit-mpx.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
 install(FILES data/gromit-mpx.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)

=== debian/changelog ===
gromit-mpx (1.3.1-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Add 01_hotkey-workaround patch.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 08 Sep 2020 13:10:21 -0400

gromit-mpx (1.3.1-1) unstable; urgency=low

  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Aug 2020 12:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: gromit-mpx
 Section: x11
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper-compat (= 13),
 	cmake,
 	libgtk-3-dev,
 	libappindicator3-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git
 Vcs-Browser: https://salsa.debian.org/debian/gromit-mpx

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

execute_after_dh_auto_install:
	@echo "Installed later under different name by dh_installchangelogs:"
	-rm --verbose debian/gromit-mpx/usr/share/doc/gromit-mpx/ChangeLog

## gromit-mpx 1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
 project(gromit-mpx LANGUAGES C)
+include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.3.1)
+set(version 1.4)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
 # some LSP servers expect compile_commands.json in the project root
@@ -20,7 +21,7 @@
 
 find_package(PkgConfig)
 
-pkg_check_modules(gtk3 REQUIRED "gtk+-3.0 >= 2.99.3")
+pkg_check_modules(gtk3 REQUIRED "gtk+-3.0 >= 3.22")
 pkg_check_modules(appindicator3 REQUIRED "appindicator3-0.1 >= 0.4.92")
 pkg_check_modules(xinput REQUIRED "xi >= 1.3")
 pkg_check_modules(x11 REQUIRED x11)
@@ -63,15 +64,15 @@
     -lm
 )
 
-include(GNUInstallDirs)
 
 install(TARGETS ${target_name} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES data/gromit-mpx.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+install(FILES data/net.christianbeier.Gromit-MPX.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 install(FILES data/gromit-mpx.cfg DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/gromit-mpx)
 install(FILES README.md AUTHORS ChangeLog NEWS.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
 install(FILES gromit-mpx.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
-install(FILES data/gromit-mpx.png data/gromit-mpx.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
-install(FILES data/gromit-mpx.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(FILES data/gromit-mpx.png data/gromit-mpx_active.png data/gromit-mpx.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
+install(FILES data/net.christianbeier.Gromit-MPX.svg data/gromit-mpx.svg data/gromit-mpx_active.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(FILES data/net.christianbeier.Gromit-MPX.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"

=== debian/changelog ===
gromit-mpx (1.4-2) unstable; urgency=medium

  * switch from deprecated libappindicator3-dev to
    libayatana-appindicator3-dev (closes: #956769)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Dec 2020 12:42:56 +0000

gromit-mpx (1.4-1) unstable; urgency=medium

  * Tweak debian/watch uscan support file
  * New upstream version
  * TODO file gone bye bye
  * Bump policy, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 04 Dec 2020 14:06:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: gromit-mpx
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	cmake,
 	libgtk-3-dev,
-	libappindicator3-dev
-Standards-Version: 4.5.0
+	libayatana-appindicator3-dev
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git

## gromit-mpx 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.4)
+set(version 1.4.1)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
 # some LSP servers expect compile_commands.json in the project root
@@ -17,14 +17,18 @@
 
 set(CMAKE_C_FLAGS  " ${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")
 
-configure_file(build-config.h_cmake_in build-config.h)
-
 find_package(PkgConfig)
 
 pkg_check_modules(gtk3 REQUIRED "gtk+-3.0 >= 3.22")
-pkg_check_modules(appindicator3 REQUIRED "appindicator3-0.1 >= 0.4.92")
 pkg_check_modules(xinput REQUIRED "xi >= 1.3")
 pkg_check_modules(x11 REQUIRED x11)
+pkg_check_modules(appindicator3 "ayatana-appindicator3-0.1 >= 0.5")
+if(NOT appindicator3_FOUND)
+  pkg_check_modules(appindicator3 REQUIRED "appindicator3-0.1 >= 0.4.92")
+  set(APPINDICATOR_IS_LEGACY 1)
+endif()
+
+configure_file(build-config.h_cmake_in build-config.h)
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}
@@ -70,8 +74,8 @@
 install(FILES data/gromit-mpx.cfg DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/gromit-mpx)
 install(FILES README.md AUTHORS ChangeLog NEWS.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
 install(FILES gromit-mpx.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
-install(FILES data/gromit-mpx.png data/gromit-mpx_active.png data/gromit-mpx.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
-install(FILES data/net.christianbeier.Gromit-MPX.svg data/gromit-mpx.svg data/gromit-mpx_active.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(FILES data/net.christianbeier.Gromit-MPX.png data/net.christianbeier.Gromit-MPX.active.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
+install(FILES data/net.christianbeier.Gromit-MPX.svg data/net.christianbeier.Gromit-MPX.active.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 install(FILES data/net.christianbeier.Gromit-MPX.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 
 configure_file(

=== debian/changelog ===
gromit-mpx (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 05 Feb 2022 16:26:33 +0000

gromit-mpx (1.4-3) unstable; urgency=medium

  * track upstream changes
  * remove now-unnecessary library patch
  * metadata file is under CC-BY-4.0 license
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 31 Dec 2021 17:55:50 +0000

## gromit-mpx 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.4.1)
+set(version 1.4.2)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
 # some LSP servers expect compile_commands.json in the project root

=== debian/changelog ===
gromit-mpx (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 13 Feb 2022 23:02:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	cmake,
 	libgtk-3-dev,
 	libayatana-appindicator3-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git

## gromit-mpx 1.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.4.2)
+set(version 1.4.3)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
 # some LSP servers expect compile_commands.json in the project root

=== debian/changelog ===
gromit-mpx (1.4.3-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.6.1, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Sep 2022 13:12:09 -0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	cmake,
 	libgtk-3-dev,
 	libayatana-appindicator3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	@echo "Installed later under different name by dh_installchangelogs:"
	-rm --verbose debian/gromit-mpx/usr/share/doc/gromit-mpx/ChangeLog

## gromit-mpx 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,8 @@
 include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.4.3)
+set(version 1.5.1)
+set(LOCALE_DOMAIN ${CMAKE_PROJECT_NAME})
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
 # some LSP servers expect compile_commands.json in the project root
@@ -18,6 +19,7 @@
 set(CMAKE_C_FLAGS  " ${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")
 
 find_package(PkgConfig)
+find_package(Gettext)
 
 pkg_check_modules(gtk3 REQUIRED "gtk+-3.0 >= 3.22")
 pkg_check_modules(xinput REQUIRED "xi >= 1.3")
@@ -50,8 +52,10 @@
     src/callbacks.h
     src/config.c
     src/config.h
-    src/gromit-mpx.c
-    src/gromit-mpx.h
+    src/drawing.c
+    src/drawing.h
+    src/main.c
+    src/main.h
     src/input.c
     src/input.h
     src/paint_cursor.xpm
@@ -69,6 +73,12 @@
 )
 
 
+GETTEXT_PROCESS_PO_FILES(de ALL PO_FILES po/de.po)
+GETTEXT_PROCESS_PO_FILES(es ALL PO_FILES po/es.po)
+GETTEXT_PROCESS_PO_FILES(fa ALL PO_FILES po/fa.po)
+GETTEXT_PROCESS_PO_FILES(he ALL PO_FILES po/he.po)
+GETTEXT_PROCESS_PO_FILES(it ALL PO_FILES po/it.po)
+
 install(TARGETS ${target_name} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES data/net.christianbeier.Gromit-MPX.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 install(FILES data/gromit-mpx.cfg DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/gromit-mpx)
@@ -77,6 +87,11 @@
 install(FILES data/net.christianbeier.Gromit-MPX.png data/net.christianbeier.Gromit-MPX.active.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
 install(FILES data/net.christianbeier.Gromit-MPX.svg data/net.christianbeier.Gromit-MPX.active.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 install(FILES data/net.christianbeier.Gromit-MPX.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/de.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/de/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/es.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/es/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/it.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/it/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fa.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fa/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/he.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/he/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"

=== debian/changelog ===
gromit-mpx (1.5.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:46 +1100

gromit-mpx (1.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:51:11 +0000

gromit-mpx (1.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Oct 2023 11:08:47 +0100

Igromit-mpx (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.6.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 14 Oct 2023 09:48:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gromit-mpx
 Section: x11
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	cmake,
 	libgtk-3-dev,
 	libayatana-appindicator3-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git

## gromit-mpx 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.5.1)
+set(version 1.6.0)
 set(LOCALE_DOMAIN ${CMAKE_PROJECT_NAME})
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
@@ -78,6 +78,7 @@
 GETTEXT_PROCESS_PO_FILES(fa ALL PO_FILES po/fa.po)
 GETTEXT_PROCESS_PO_FILES(he ALL PO_FILES po/he.po)
 GETTEXT_PROCESS_PO_FILES(it ALL PO_FILES po/it.po)
+GETTEXT_PROCESS_PO_FILES(pt_BR ALL PO_FILES po/pt_BR.po)
 
 install(TARGETS ${target_name} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES data/net.christianbeier.Gromit-MPX.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
@@ -92,6 +93,7 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/it.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/it/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fa.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fa/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/he.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/he/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pt_BR.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pt_BR/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"

=== debian/changelog ===
gromit-mpx (1.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Mar 2024 09:17:43 +0000

gromit-mpx (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.6.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 14 Oct 2023 09:48:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gromit-mpx
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	cmake,
 	libgtk-3-dev,

## gromit-mpx 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.6.0)
+set(version 1.7.0)
 set(LOCALE_DOMAIN ${CMAKE_PROJECT_NAME})
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
@@ -29,6 +29,7 @@
   pkg_check_modules(appindicator3 REQUIRED "appindicator3-0.1 >= 0.4.92")
   set(APPINDICATOR_IS_LEGACY 1)
 endif()
+pkg_check_modules(lz4 REQUIRED liblz4)
 
 configure_file(build-config.h_cmake_in build-config.h)
 
@@ -38,6 +39,7 @@
     ${appindicator3_INCLUDE_DIRS}
     ${xinput_INCLUDE_DIRS}
     ${x11_INCLUDE_DIRS}
+    ${lz4_INCLUDE_DIRS}
 )
 
 link_directories(
@@ -45,6 +47,7 @@
     ${appindicator3_LIBRARY_DIRS}
     ${xinput_LIBRARY_DIRS}
     ${x11_LIBRARY_DIRS}
+    ${lz4_LIBRARY_DIRS}
 )
 
 set(sources
@@ -54,6 +57,8 @@
     src/config.h
     src/drawing.c
     src/drawing.h
+    src/coordlist_ops.c
+    src/coordlist_ops.h
     src/main.c
     src/main.h
     src/input.c
@@ -69,6 +74,7 @@
     ${appindicator3_LIBRARIES}
     ${xinput_LIBRARIES}
     ${x11_LIBRARIES}
+    ${lz4_LIBRARIES}
     -lm
 )

=== debian/changelog ===
gromit-mpx (1.7.0-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112979)

  [ Barak A. Pearlmutter ]
  * Remove now-unnecessary rules-requires-root:no line

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 27 Oct 2025 16:49:31 +0000

gromit-mpx (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * New build dependency on lz4 library

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Sep 2024 11:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper-compat (= 13),
 	cmake,
 	libgtk-3-dev,
+	liblz4-dev,
 	libayatana-appindicator3-dev
 Standards-Version: 4.6.2
-Rules-Requires-Root: no
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git
 Vcs-Browser: https://salsa.debian.org/debian/gromit-mpx

=== debian/watch ===
version=4
https://github.com/bk138/@PACKAGE@/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## gromit-mpx 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.0...3.10)
 project(gromit-mpx LANGUAGES C)
 include(GNUInstallDirs)
 
 set(target_name gromit-mpx)
-set(version 1.7.0)
+set(version 1.8.0)
 set(LOCALE_DOMAIN ${CMAKE_PROJECT_NAME})
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 if(CMAKE_GENERATOR MATCHES "Unix Makefiles|Ninja")
@@ -63,8 +63,6 @@
     src/main.h
     src/input.c
     src/input.h
-    src/paint_cursor.xpm
-    src/erase_cursor.xpm
 )
 
 add_executable(${target_name} ${sources})
@@ -85,6 +83,10 @@
 GETTEXT_PROCESS_PO_FILES(he ALL PO_FILES po/he.po)
 GETTEXT_PROCESS_PO_FILES(it ALL PO_FILES po/it.po)
 GETTEXT_PROCESS_PO_FILES(pt_BR ALL PO_FILES po/pt_BR.po)
+GETTEXT_PROCESS_PO_FILES(zh_CN ALL PO_FILES po/zh_CN.po)
+GETTEXT_PROCESS_PO_FILES(zh_TW ALL PO_FILES po/zh_TW.po)
+GETTEXT_PROCESS_PO_FILES(zh_HK ALL PO_FILES po/zh_HK.po)
+GETTEXT_PROCESS_PO_FILES(zh_SG ALL PO_FILES po/zh_SG.po)
 
 install(TARGETS ${target_name} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES data/net.christianbeier.Gromit-MPX.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
@@ -93,6 +95,7 @@
 install(FILES gromit-mpx.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 install(FILES data/net.christianbeier.Gromit-MPX.png data/net.christianbeier.Gromit-MPX.active.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
 install(FILES data/net.christianbeier.Gromit-MPX.svg data/net.christianbeier.Gromit-MPX.active.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(FILES data/net.christianbeier.Gromit-MPX.paint_cursor.png data/net.christianbeier.Gromit-MPX.erase_cursor.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
 install(FILES data/net.christianbeier.Gromit-MPX.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/de.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/de/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/es.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/es/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
@@ -100,6 +103,10 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fa.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fa/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/he.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/he/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pt_BR.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pt_BR/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/zh_CN.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/zh_TW.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_TW/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/zh_HK.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_HK/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/zh_SG.gmo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_SG/LC_MESSAGES/ RENAME ${LOCALE_DOMAIN}.mo)
 
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"

=== debian/changelog ===
gromit-mpx (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * Update packaging scripts
  * Work around unncessary submodule for git debpush --force=submodule
    which gets a dgit error on the tag2upload server due to
    flatpak/shared-modules having the wrong mode, by using
    debian/source/options to tell the tooling to ignore that directory.
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Feb 2026 16:17:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: gromit-mpx
 Section: x11
-Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	cmake,
 	libgtk-3-dev,
 	liblz4-dev,
 	libayatana-appindicator3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/bk138/gromit-mpx
 Vcs-Git: https://salsa.debian.org/debian/gromit-mpx.git
 Vcs-Browser: https://salsa.debian.org/debian/gromit-mpx

=== debian/watch ===
Version: 5

Template: Github
Owner: bk138
Project: @PACKAGE@
